fop 1.1

## org.apache.fop.afp.ioca
Class ImageInputDescriptor

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.ioca.ImageInputDescriptor

All Implemented Interfaces:
  Streamable

    public class ImageInputDescriptor

extends AbstractAFPObject

The IM Image Input Descriptor structured field contains the descriptor data for an IM image data object. This data specifies the resolution, size, and color of the IM image.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`ImageInputDescriptor()`

Method Summary
`void` `setResolution(int resolution)` Sets the resolution information for the raster image the default value is a resolution of 240 dpi.
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageInputDescriptor

    public ImageInputDescriptor()

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### setResolution

    public void setResolution(int resolution)

  Sets the resolution information for the raster image the default value is a resolution of 240 dpi.

  Parameters:
    `resolution` - The resolution value

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.